> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v2/audit/logs ## OpenAPI ````json POST /v2/audit/logs { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v2/audit/logs": { "post": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " } ], "requestBody": { "required": true, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v2AuditLogsPostRequest" } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v2AuditLogsPostResponse" } } } } } } } }, "components": { "schemas": { "v2AuditLogsPostRequest": { "type": "object", "properties": { "cursorRef": { "type": "string", "example": "example string" }, "numLogs": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "oldTs": { "$ref": "#/components/schemas/googleProtobufTimestamp" }, "recentTs": { "$ref": "#/components/schemas/googleProtobufTimestamp" }, "selector": { "$ref": "#/components/schemas/auditmonAuditLogsV2Selector" } }, "additionalProperties": false }, "v2AuditLogsPostResponse": { "type": "object", "properties": { "cursorRef": { "type": "string", "example": "example string" }, "logs": { "type": "array", "items": { "$ref": "#/components/schemas/auditmonAuditLog" } }, "totalLogs": { "type": "integer", "format": "int64", "example": 12345678910, "minimum": 0 } }, "additionalProperties": false }, "googleProtobufTimestamp": { "type": "object", "properties": { "nanos": { "type": "integer", "format": "int32", "example": 123 }, "seconds": { "type": "integer", "format": "int64", "example": 1234567891011 } }, "additionalProperties": false }, "auditmonAuditLogsV2Selector": { "type": "object", "properties": { "categories": { "type": "array", "items": { "type": "string", "example": "ENUM_VALUE" } }, "entities": { "type": "array", "items": { "$ref": "#/components/schemas/auditActivityItem" } }, "jobTypes": { "type": "array", "items": { "type": "string", "example": "ENUM_VALUE" } }, "targets": { "type": "array", "items": { "$ref": "#/components/schemas/auditActivityItem" } }, "users": { "type": "array", "items": { "type": "string", "example": "example string" } } }, "additionalProperties": false }, "auditmonAuditLog": { "type": "object", "properties": { "action": { "type": "string", "example": "example string" }, "activityId": { "type": "string", "example": "example string" }, "category": { "type": "string", "example": "ENUM_VALUE" }, "entity": { "$ref": "#/components/schemas/auditActivityItem" }, "jobType": { "type": "string", "example": "ENUM_VALUE" }, "target": { "$ref": "#/components/schemas/auditActivityItem" }, "ts": { "$ref": "#/components/schemas/googleProtobufTimestamp" }, "user": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "auditActivityItem": { "type": "object", "properties": { "id": { "type": "integer", "format": "int64", "example": 1234567891011 }, "name": { "type": "string", "example": "example string" }, "type": { "type": "string", "example": "ENUM_VALUE" } }, "additionalProperties": false } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````